---
type: api
title: Get Comment
description: Retrieves a Comment.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-comment
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-comment
products:
  - Elastic Cloud Enterprise
---

# Get Comment

## Paths

- `GET` `/comments/{resource_type}/{resource_id}/{comment_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `resource_type` (string)
  The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].
- `resource_id` (string)
  Id of the Resource that a Comment belongs to.
- `comment_id` (string)
  Id of a Comment

## Description

Retrieves a Comment.

## Responses

#### `200`

The Comment

`application/json`

- `id` (string)
  The id of this Comment
- `user_id` (string)
  The user id of the user who wrote this Comment
- `message` (string)
  The message content of this Comment
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `404`

The Comment you want does not exist. (code: `comments.comment_does_not_exist`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /comments/{resource_type}/{resource_id}/{comment_id}
```

#### curl

```curl
curl -X GET "/comments/{resource_type}/{resource_id}/{comment_id}"
```

